Bug 831876 - (CVE-2012-2698) CVE-2012-2698 mediawiki: XSS flaw in the uselang http parameter
CVE-2012-2698 mediawiki: XSS flaw in the uselang http parameter
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120613,repor...
: Security
Depends On: 831879 831880
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 21:29 EDT by Vincent Danen
Modified: 2016-03-04 06:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-06-13 21:29:15 EDT
Mediawiki 1.17.5, 1.18.4, and 1.19.1 were released today to fix a XSS vulnerability in the useland http parameter [1].

[1] https://bugzilla.wikimedia.org/show_bug.cgi?id=36938

While 1.16.x isn't explicitly mentioned (and is what is currently shipping in Fedora), the liklihood of it being affected is high.  It is also really old and out-of-date, so it might be prudent to update to one of the supported versions.
Comment 1 Vincent Danen 2012-06-13 21:32:11 EDT
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 831879]
Comment 2 Vincent Danen 2012-06-13 21:32:14 EDT
Created mediawiki116 tracking bugs for this issue

Affects: epel-all [bug 831880]
Comment 3 Kurt Seifried 2012-06-13 22:00:59 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/06/14/2

Note You need to log in before you can comment on or make changes to this bug.